---
title: "Retrieve Application"
source_url: https://docs.rapyd.net/en/retrieve-application-600676.html
lang: en
---

# Retrieve Application

Use this GET method to retrieve an application that has been saved or submitted via its application token identifier.

### Parameters

### Request Header Parameters

- - access_key (string, required)
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type (string, required)
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency (string)
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt (string, required)
  - Random string. Recommended length: 8-16 characters.
- - signature (string, required)
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp (string, required)
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).
- - merchant_account_id (string, required)
  - The merchant account ID that was provided to you when you created the organization. See also [Create Organization](https://docs.rapyd.net/en/create-organization.md "Create Organization").

### Request Path Parameters

- - app_token (string, required)
  - The application token identifier. String that starts with **app_**. (required)

### Response

- - ewallet_token (string)
  - ID of the merchant wallet.String starting with **ewallet_**.

- - merchant_phone_number (object)
  - Phone number details of the merchant.

    - - phone_country_code (string)
      - The two-letter ISO 3166-1 ALPHA-2 code for the country of the phone number.

    - - phone_number (string)
      - The phone number of the merchant without the international phone code.

- - token (string)
  - Identifier of the application. String starting with **app_**.

- - version (number)
  - The version number of the application. The version is incremented by 1 each time it is updated.

- - status (string)
  - The following statuses of the application are available:

    - **New**: Application was created but not yet submitted.
    - **Submitted**: Application has been submitted. All required fields were completed.
    - **Pending Review**: An application is waiting in the queue to be reviewed.
    - **In Review**: An application is being reviewed by a CompOps Analyst.
    - **Approved**: Application has been approved, either manually or automatically.
    - **Limited Approval**: Application was approved with limits, either manually or automatically.
    - **Rejected**: Application was rejected, either manually or automatically.
    - **BACKLOG**: If there is a technical issue, then the application is in backlog status, and an attempt to rerun the application will be made when the technical issue is resolved.

- - metadata (object)
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata")

- - entity_type (string)
  - The type of entity:

    - **Sole Proprietor**
    - **Government Entity**
    - **Charity or NPO**
    - **Partnership**
    - **Public Listed Company**
    - **Private Limited Company**
    - **Registered Society** (only applicable for merchants with a sign-up country such as GB).

- - country (string)
  - The two letter country code of the entity. Uppercase.

- - created_at (number)
  - Time of creation of the object, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

- - updated_at (number)
  - Time of the last update of the object, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

- - sell_type (number)
  - The description of the sell type. See also [List Industries](https://docs.rapyd.net/en/list-industries.md "List Industries")

    - **Card Present** - Displays the text **In Person (Brick & Mortar)**.
    - **Card Not Present** - Displays the text **Online**.

- - business_industry (number)
  - Four digit merchant category code of the business industry. See also [List Industries](https://docs.rapyd.net/en/list-industries.md "List Industries")

- - sections (object)
  - Includes the sections of the application with the current field values.

Each section includes unique required and optional fields. A field includes the `issues` object in cases where its value of is missing or is invalid. The `issues` object includes the `field`name and the `details` for providing the correct value. For example, if an invalid value is provided for the `business_name` field, then `details` are "Enter a value of up to 80 alphanumeric characters and spaces."

If a required field value is entered correctly then the field displays its current value and it has no `issues` object.

- - instructions (string)
  - Includes the instructions on how to fill out the application. Certain industry types enable filling out the application via the APIs and a link to hosted page. However, there are industry types that do not enable filling out the application via API methods and require filling it out via a hosted page link. In such scenarios the application is not returned and the following instructions are displayed: "The industry type for this application must filled out online. "
- - link (string)
  - Link to a hosted page where the application can be filled out online.

- /v1/partner/onboarding/application/app/:app_token

- Retrieve Application
- ```curl
  curl -X get 'https://api.rapyd.net/v1/partner/onboarding/application/app/app_790a5db172024bc29a705416d70f9225' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  -H 'merchant_account_id: : your-merchant-account-here' \
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "Success",
          "response_code": "",
          "operation_id": "d330d011-8350-4979-9f83-8f56be97a85c"
      },
      "data": {
          "token": "app_790a5db172024bc29a705416d70f9225",
          "version": 7,
          "status": "LIMITED_APPROVAL",
          "ewallet_token": "ewallet_527f7a2422ec8a2925f8a37e3f626db7",
          "metadata": {},
          "entity_type": "Sole_Proprietor",
          "country": "GB",
          "created_at": 1750840363974,
          "updated_at": 1750841427731,
          "sell_type": "In Person (Brick and Mortar)",
          "business_industry": 4814,
          "sections": {
              "business": {
                  "trade_name": {
                      "trade_name": "trade PVT Limited"
                  },
                  "product_description": {
                      "business_desc": "Trading in and out"
                  },
                  "url": {
                      "business_url": ""
                  },
                  "transaction_information": {
                      "avg_tpv_usd": "1",
                      "expectedMaximumTransactionAmount": "2",
                      "averageTimeBetweenPurchaseAndDeliveryInDays": "3",
                      "annual_revenue": "4"
                  },
                  "statement_descriptor": {
                      "statement_descriptor": "sell or buy"
                  },
                  "proof_of_address_document": {
                      "address_ref": [
                          "image (1).png"
                      ]
                  },
                  "proof_of_address": {
                      "physical_address": "Mainland street 1",
                      "address_additional_details": null,
                      "postal_code": "SW1A 0AA",
                      "city": "NewTown",
                      "state": null,
                      "country": "GB"
                  }
              },
              "company": {
                  "business_name": {
                      "business_name": "Trade PVT Limited"
                  },
                  "phone": {
                      "phone_country_code": "GB",
                      "phone_number": "2071234567"
                  },
                  "company_number": {
                      "registration_number": "OC123456"
                  },
                  "address": {
                      "address": "Oasis street 12",
                      "address_additional_details": null,
                      "postal_code": "SW1A 0AA",
                      "city": "NewTown",
                      "state": null,
                      "us_state": null,
                      "country": "GB"
                  },
                  "company_documents": {
                      "company_documents": []
                  },
                  "vat_id": {
                      "tax_id": null
                  }
              },
              "owner": {
                  "name": {
                      "first_name": "Joe",
                      "last_name": "Smith"
                  },
                  "dob": {
                      "dob": "12/12/1991"
                  },
                  "identification": {
                      "id_type": "Driver's License",
                      "id": "ID-63773",
                      "id_img": [
                          "image (16).png"
                      ],
                      "government_id_img": []
                  },
                  "phone": {
                      "phone_country_code": "GB",
                      "phone_number": "2071234567"
                  },
                  "email": {
                      "email": "tradepvtl@gmail.com"
                  },
                  "nationality": {
                      "nationality": "IT",
                      "additional_citizenships": [
                          "FR",
                          "IT"
                      ]
                  },
                  "address": {
                      "address": "Mainland building",
                      "address_additional_details": "address additional input",
                      "postal_code": "SW1A 0AA",
                      "city": "NewTown",
                      "state": null,
                      "us_state": null,
                      "country": "GB"
                  },
                  "proof_of_address_document": {
                      "address_ref": [
                          "image (1).png"
                      ]
                  }
              }
          },
          "link": "https://qaverify.rapyd.net/verify?token=happ_99ba77b91ee54e6d8d5590853d226a75",
          "merchant_phone_number": {
              "country_code": "GB",
              "phone_number": "2071234567"
          },
          "instructions": null
      }
  }
  ```
